boost::geometry::fraction_type< SegmentRatio > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Info >
void | assign (Info const &info)
void | assign (SegmentRatio const &a, SegmentRatio const &b)
| fraction_type ()

## Public Attributes

bool | initialized
SegmentRatio | robust_ra
SegmentRatio | robust_rb

### template<typename SegmentRatio>
struct boost::geometry::fraction_type< SegmentRatio >

## Constructor & Destructor Documentation

template<typename SegmentRatio >

boost::geometry::fraction_type< SegmentRatio >::fraction_type | ( |  | ) |

## Member Function Documentation

template<typename SegmentRatio >
template<typename Info >

void boost::geometry::fraction_type< SegmentRatio >::assign | ( | Info const & | info | ) |

template<typename SegmentRatio >

void boost::geometry::fraction_type< SegmentRatio >::assign | ( | SegmentRatio const & | a,
|  | SegmentRatio const & | b
| ) |  |

## Member Data Documentation

template<typename SegmentRatio >

SegmentRatio boost::geometry::fraction_type< SegmentRatio >::robust_ra

template<typename SegmentRatio >

SegmentRatio boost::geometry::fraction_type< SegmentRatio >::robust_rb

template<typename SegmentRatio >

bool boost::geometry::fraction_type< SegmentRatio >::initialized

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK